2.0.14

Новости и события, связанные с Yii. Организация оффлайн-встреч и конференций.
Ответить
Аватара пользователя
samdark
Администратор
Сообщения: 8793
Зарегистрирован: 2009.04.02, 13:46
Откуда: Воронеж
Контактная информация:

2.0.14

Сообщение samdark » 2018.02.19, 17:27

Релизнули. Анонс на хабре: https://habrahabr.ru/post/349408/

Loveorigami
Сообщения: 804
Зарегистрирован: 2014.08.27, 21:54

Re: 2.0.14

Сообщение Loveorigami » 2018.02.20, 09:20

Обновился. Получил ошибку.
Изображение

Ругается на $childs = count($model->children);

Где children - связь из NestedSetBehavior

Аватара пользователя
samdark
Администратор
Сообщения: 8793
Зарегистрирован: 2009.04.02, 13:46
Откуда: Воронеж
Контактная информация:

Re: 2.0.14

Сообщение samdark » 2018.02.22, 00:30

Ждём репорт в github.

Loveorigami
Сообщения: 804
Зарегистрирован: 2014.08.27, 21:54

Re: 2.0.14

Сообщение Loveorigami » 2018.02.22, 19:15

Уже, кажется, поправили.
https://github.com/yiisoft/yii2/issues/15696

Но обновляться все равно боязно )))

https://github.com/yiisoft/yii2/milestone/30

Аватара пользователя
samdark
Администратор
Сообщения: 8793
Зарегистрирован: 2009.04.02, 13:46
Откуда: Воронеж
Контактная информация:

Re: 2.0.14

Сообщение samdark » 2018.02.23, 02:41

Подождите патч-релиза.

Myst
Сообщения: 27
Зарегистрирован: 2016.01.22, 15:06

Re: 2.0.14

Сообщение Myst » 2018.02.26, 15:48

у меня после обновления перестал работать ->indexby() в activerecord.
База на mongodb

Аватара пользователя
samdark
Администратор
Сообщения: 8793
Зарегистрирован: 2009.04.02, 13:46
Откуда: Воронеж
Контактная информация:

Re: 2.0.14

Сообщение samdark » 2018.02.27, 00:52

1. Обновитесь до 2.0.14.1.
2. Если не работает — надо issue.

Myst
Сообщения: 27
Зарегистрирован: 2016.01.22, 15:06

Re: 2.0.14

Сообщение Myst » 2018.02.27, 08:33

обновился, не работает :-(, куда писать? Я новенький, не понимаю пока (простите)

chesar
Сообщения: 468
Зарегистрирован: 2013.04.10, 17:49

Re: 2.0.14

Сообщение chesar » 2018.02.27, 08:41

Myst писал(а):
2018.02.27, 08:33
обновился, не работает :-(, куда писать? Я новенький, не понимаю пока (простите)
Так же как и два года назад, в спортлото.

Myst
Сообщения: 27
Зарегистрирован: 2016.01.22, 15:06

Re: 2.0.14

Сообщение Myst » 2018.02.27, 09:10

обязательно по англ писать?))

Аватара пользователя
samdark
Администратор
Сообщения: 8793
Зарегистрирован: 2009.04.02, 13:46
Откуда: Воронеж
Контактная информация:

Re: 2.0.14

Сообщение samdark » 2018.03.01, 16:49

Да.

Loveorigami
Сообщения: 804
Зарегистрирован: 2014.08.27, 21:54

Re: 2.0.14

Сообщение Loveorigami » 2018.03.16, 15:49

Не обновляется до 2.0.14.1 (2)
кеш чистил, пробовал composer up --prefer-dist

получаю

Код: Выделить всё

  Problem 1
      - Installation request for yiisoft/yii2 2.0.14.2 -> satisfiable by yiisoft/yii2[2.0.14.2].
      - yiisoft/yii2 2.0.14.2 requires cebe/markdown ~1.0.0 | ~1.1.0 -> no matching package found.
Это временно?

ps.

на другом проекте неделю назад обновлялся нормально.
а тут смотрю - у себе 3 дня назад другой релиз вышел 1,2

https://github.com/cebe/markdown/releases

может из-за этого?

Аватара пользователя
samdark
Администратор
Сообщения: 8793
Зарегистрирован: 2009.04.02, 13:46
Откуда: Воронеж
Контактная информация:

Re: 2.0.14

Сообщение samdark » 2018.03.16, 18:18

Это какая-то бага composer/packagist. На сайте packagist теги есть.

Loveorigami
Сообщения: 804
Зарегистрирован: 2014.08.27, 21:54

Re: 2.0.14

Сообщение Loveorigami » 2018.03.19, 12:30

тем не менее, эта бага не дает обновиться.

https://github.com/cebe/markdown/issues/154

Аватара пользователя
samdark
Администратор
Сообщения: 8793
Зарегистрирован: 2009.04.02, 13:46
Откуда: Воронеж
Контактная информация:

Re: 2.0.14

Сообщение samdark » 2018.03.20, 00:00

В приложении попробуйте поставить stability: stable.

Ответить